/* This program cis.cmd created by Hilgraeve and assigned to the Compuserve phonebook*/
/* entry. It is an automated logon script for connecting to Compuserve.              */

/*	$Revision: 1.1 $  */
/*	$Date: */

/* Text within slashes and asterisks (like this line) are comments. */
/* Parse the command line for arguments passed to this program */
PARSE ARG pipename

/* Register external functions with REXX */
CALL RxFuncAdd 'haLoadFuncs', 'HAP_AUTO', 'RxhaLoadFuncs'
CALL haLoadFuncs

/* Establish a link between this script program and HyperACCESS */
scripthandle = 0
scripthandle = haInitialize(1, pipename)

DROP pipename

/* Process only if link with HyperACCESS was successful */
IF scripthandle <> 0 THEN
        DO

        /* Initialize useful variables */
        cr = '0D'x
        lf = '0A'x
        returnvalue = 0

        IF returnvalue >= 0 THEN
                returnvalue = haTypeText(scripthandle, 0, '03'x)
        IF returnvalue >= 0 THEN
                returnvalue = haWaitForPrompt(scripthandle, 1, 'ser ID: ', 300, 14000)
        IF returnvalue >= 0 THEN
                returnvalue = haGetRuntimeValue(scripthandle, 2, 1, 40, 'UserID')
        IF returnvalue >= 0 THEN
                returnvalue = haGetRuntimeValue(scripthandle, 3, 1, 40, 'Password')
        IF returnvalue >= 0 THEN
                returnvalue = haTypeText(scripthandle, 0, UserID || cr)
        IF returnvalue >= 0 THEN
                returnvalue = haWaitForPrompt(scripthandle, 1, 'ssword: ', 300, 15000)
        IF returnvalue >= 0 THEN
                returnvalue = haTypeText(scripthandle, 0, Password || cr)
        IF returnvalue >= 0 THEN
                returnvalue = haTypeText(scripthandle, 0, "TOP" || cr)

        /* Terminate link between HyperACCESS and script program */
        CALL haTerminate scripthandle
        END
DROP scripthandle
CALL haDropFuncs
